Target version:
Description

Devices and device names for the RR DCCT exist but are currently supported by the MIBEAM front end. We are transferring support
of these devices as well as MDAT support from MIBEAM to ANUB.

Subtasks:

Task # 12943: Source MDAT transmitter from a filter chain instead of an intensity device

Closed

History

#1 - 06/15/2016 06:04 PM - Roger Tokarek
Name Transfer

A series of dabbel files have been created and saved in git based on Wiki entry: ANUBTestDevices.

ANUB

dabbelRRDevicesFromMibeamToAnub.lis Transfer R: BEAM Devices from MIBEAM to Pending
ANUB
dabbelRemoveRDCCTDevicesFromANUB.lis Remove unwanted R: DCCT devices from Pending

dabbelOldAnubAll.lis

All ANUB pre-transfer devices

In case of rollback

dabbelOldAnubR.lis

Only ANUB R: pre-transfer devices, a subset of
above

In case of rollback

dabbelOldMibeamAill.lis

All MIBEAM pre-transfer devices

In case of rollback

dabbelOldMibeamR.lis

Only MIBEAM R: pre-transfer devices, a subset
of above

In case of rollback

#2 - 06/16/2016 01:00 PM - Roger Tokarek
Rename

See also table ANUBTestDevices

R:DCCTEX -> R:BEAMEX Array device for the most recent RR cycle Pending
R:DCCTI3 -> R:BEAMI3 New injection array device Pending
R:DCCTX3 -> R:BEAMX3 New extraction array device Pending
Z:TC70D -> R:TC70D Pending

#3 - 06/16/2016 02:29 PM - John Diamond

Booster study time for today was cancelled so we await the next scheduled downtime to do our switch-over.

Enabled anub's MDAT transmitter and configured MDAT frame $70. Updated anubstartup but did not deploy to the boot area yet. Verified that the
frame data is being computed and stored in the correct register on the transmitter. However, the scaling factor that stuffs the intensity reading into the
MDAT frame was implemented as an unsigned int. This may work OK for the Toroids but it needs to be a float for the DCCT. Changing this requires
that the command line parameter be passed as a string, so it break compatibility with Toroid front ends. For this reason, I've merged master into
mirrdcct_master and applied my changes to that branch.

Aisha has pulled a cable (but not attached) from anub to the MDAT local box. Will consult with Vogel on when we can proceed with timing in the

frame.

Also, a final concern is that the MDAT frame data won't include the base line correction as implemented. | will be opening a separate ticket for

addressing this.
#4 - 06/28/2016 12:59 PM - John Diamond

Deployed a test-level build for anub.

Updated the anubstartup script to load test build and deployed.

Beam will be off at 3am. We should reboot anub in the morning and verify that the frame data register is being updated (0xf0f06010) before meeting
Vogel at MI-62 to time-in.

#5 - 06/28/2016 01:28 PM - John Diamond

- Status changed from New to Assigned

Z:TC70D - MDAT frame $70 device for anub
R:TC70D - MDAT frame $70 device for mibeam

These should be reversed tomorrow after anub has been timed-in for MDAT $70

DABBEL listing for the MIBEAM R:TC70D -

MOD R:TC70D ( "MDAT TC70 Frame Delay ", MIBEAM, , OlFFDBDE,

0, , "Main Injector", "JDIAMOND" )
MACHINE ( "none")

AAMASK ("MCR+MCRCrewChief")

SSDNHX PRREAD (0COB/001F/0006/0E02)

PRO PRREAD ( 4, 4, 60)

PDB PRREAD ( "uSec", "uSec", 24, 0, 4, 0, 1, O, , , , + +
-1.701398752450E+38, -1.698075682461E+38)

SSDNHX PRSET (0COB/001F/0006/0E02)

PRO PRSET ( 4, 4, 60, 00, 00, 89, 00)

PDB PRSET ( "uSec", "uSec", 28, 0, 4, 0, 1, 0, , , , , , .,
-2.147483648000E+09, 2147483647)

#6 - 06/28/2016 01:47 PM - John Diamond

Ready for tomorrow's switch -

clx50$ dabbel dabbelRRDevicesFromMibeamToAnub.dbl

DABBEL: defaulting to syntax-checking mode

DABBEL: Checking file in Syntax—-Checking-Only mode

DABBEL: Checking file in Syntax-Checking-Only mode

! DABBEL V7.23 running on file dabbelRRDevicesFromMibeamToAnub.dbl

No syntax errors found

#7 - 06/28/2016 04:42 PM - John Diamond

Switch delayed again so Peter and Howie can test their electronics with the new RR DCCT...

04/23/2021 22


http://www.tcpdf.org

